[alias]
	br = branch
	cot = checkout
	d = !git --no-pager diff
	fo = fetch origin
	lo = log --name-status
	st = status -sb
	stat = !git --no-pager diff --stat
	sw = switch
	dft = difftool
	dlog = "!f() { GIT_EXTERNAL_DIFF=difft git log -p --ext-diff; }; f"

[pull]
	rebase = true

[help]
	autocorrect = 40

[core]
	editor = vim

[gitreview]
	remote = origin

[diff]
	tool = difftastic

[difftool]
	prompt = false

[difftool "difftastic"]
	cmd = difft "$LOCAL" "$REMOTE"

[pager]
	difftool = true

[include]
	path = ~/.config/git/.gitconfig
